package com.example.liz.navyproject;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.ActionBarActivity;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class PreferenceActivity extends AppCompatActivity {

    EditText portText, userText, passwdText, depotPathText;
    public static final String P4PREFS = "P4Prefs";
    public static final String P4PORT = "P4PORT";
    public static final String P4USER = "P4USER";
    public static final String P4PASSSWD = "P4PASSWD";
    public static final String P4PATH = "P4PATH";
    SharedPreferences sharedPreferences;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_preference);

        if (getSupportActionBar() != null) {
            getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        }
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        sharedPreferences = getSharedPreferences(P4PREFS, Context.MODE_PRIVATE);
        portText = (EditText) findViewById(R.id.editText);
        userText = (EditText) findViewById(R.id.editText2);
        passwdText = (EditText) findViewById(R.id.editText3);
        depotPathText = (EditText) findViewById(R.id.editText4);

        portText.setText(sharedPreferences.getString(P4PORT, null));
        userText.setText(sharedPreferences.getString(P4USER, null));
        passwdText.setText(sharedPreferences.getString(P4PASSSWD, null));
        depotPathText.setText(sharedPreferences.getString(P4PATH, null));

        FloatingActionButton save = (FloatingActionButton) findViewById(R.id.fab_pref_save);
        save.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                String p = portText.getText().toString();
                String u = userText.getText().toString();
                String pass = passwdText.getText().toString();
                String path = depotPathText.getText().toString();

                SharedPreferences.Editor editor = sharedPreferences.edit();

                editor.putString(P4PORT, p);
                editor.putString(P4USER, u);
                editor.putString(P4PASSSWD, pass);
                editor.putString(P4PATH, path);
                Boolean isCommitted = editor.commit();

                if (isCommitted) {
                    Toast.makeText(getApplicationContext(), "Saving...", Toast.LENGTH_LONG).show();
                } else {
                    Toast.makeText(getApplicationContext(), "Did not save.", Toast.LENGTH_LONG).show();
                }

            }
        });
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() == android.R.id.home) {
            finish();
        } else if (item.getItemId() == R.id.home_settings) {
            finish();
        }

        return super.onOptionsItemSelected(item);
    }

}
